<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 4</title>
	<script type="text/javascript">

	let Punto=function(){
		let x;
		let y;
		let color;
		let ancho;
		let objeto;
		let sup=this;

		this.getX=function(){
			return x;
		};
		this.getY=function(){
			return y;
		};
		this.setX=function(valor){
			borrar();
			x=valor;
			this.dibujar();
		};
		this.setY=function(valor){
			borrar();
			y=valor;
			this.dibujar();
		};
		this.dibujar=function(){
			document.querySelector("body").innerHTML+='<div class="punto" style="left:'+x+'px; top:'+y+'px; border-radius:'+ancho+'px; width:'+ancho+'px; height:'+ancho+'px; background-color:'+color+'"></div>';
			objeto=document.querySelector("body").value;
		};
		function borrar(){
			//document.querySelector("body").removeChild(objeto);	
		};
		this.getColor=function(){
			return color;
		};
		this.setColor=function(dato){
			borrar();
			color=dato;
			this.dibujar();
		};
		this.getAncho=function(){
			return ancho;
		};
		this.setAncho=function(dato){
			borrar();
			ancho=dato;
			this.dibujar();
		}

		function constructor(){
			x=0;
			y=0;
			color="white";
			ancho="10";
			sup.dibujar();
		};
		constructor();
	};

	window.addEventListener("load",cargar);
	
	function cargar(){
		let punto1=new Punto();
		punto1.setX(50);
		punto1.setY(100);

		let punto2 = new Punto();
		punto2.setX(23);
		punto2.setY(33);
		punto2.setAncho(6);
		punto2.setColor("red");

		let punto3 = new Punto();
		punto3.setX(33);
		punto3.setY(100);
		punto3.setAncho(10);
		punto3.setColor("blue");

		let punto4 = new Punto();
		punto4.setX(500);
		punto4.setY(50);
		punto4.setAncho(22);
		punto4.setColor("green");

		let punto5 = new Punto();
		punto5.setX(23);
		punto5.setY(500);
		punto5.setAncho(33);
		punto5.setColor("yellow");		

	}


	</script>
</head>
<body>
	
</body>
</html>